Access Sessions

List Access Sessions

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
integration_idstring[] · nullableOptional
limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
request_idsstring[] · nullableOptional
Responses
chevron-right
200

OK

application/json
get
/api/user/v1/access-sessions
200

OK

Get Access Session

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
idstringRequired

Unique identifier of the access session

namestringRequired

A human-readable name for the session, often based on the resource or purpose

request_idsstring[]Required

List of request id's related to the access session

credentials_statusstringRequired

Credential status during the session. Possible values: AVAILABLE, VIEWED, RESETTING, NOT_APPLICABLE. If the access session does not rely on credentials (for example, a cloud provider session), the status will be NOT_APPLICABLE, but access details will still be available

can_reset_credentialsbooleanRequired

Indicates whether credentials used in this session can be reset. Applies only to sessions where credentials are applicable

get
/api/user/v1/access-sessions/{id}
200

OK

Get Session Access Details

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
instructionsstringRequired

User-facing text with step-by-step instructions for accessing the resource

custom_admin_messagestring · nullableOptional

An optional message provided by an admin. Often used for additional context, warnings, or escalation paths

clistring · nullableOptional

A command-line string the user can copy and execute to initiate access

get
/api/user/v1/access-sessions/{id}/access-details
200

OK

Reset Session Credentials

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
messagestringRequired
post
/api/user/v1/access-sessions/{id}/reset-credentials
200

OK

Last updated

Was this helpful?